org.eclipse.ecf.provider.comm.tcp

## Class ExObjectInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.eclipse.ecf.provider.comm.tcp.ExObjectInputStream

All Implemented Interfaces:
  Closeable, DataInput, ObjectInput, ObjectStreamConstants, AutoCloseable

    public class ExObjectInputStream
    extends ObjectInputStream

### Nested Class Summary

### Nested classes/interfaces inherited from class java.io.ObjectInputStream

`ObjectInputStream.GetField`

### Field Summary

### Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

### Constructor Summary

Constructors
Constructor and Description
`ExObjectInputStream(InputStream in)`
`ExObjectInputStream(InputStream in, boolean backwardCompatibility)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `debug(String msg)`
`protected void` `traceStack(String msg, Throwable e)`

### Methods inherited from class java.io.ObjectInputStream

`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveClass, resolveObject, resolveProxyClass, skipBytes`

### Methods inherited from class java.io.InputStream

`mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.ObjectInput

`read, skip`

### Constructor Detail

#### ExObjectInputStream

    public ExObjectInputStream(InputStream in)
                        throws IOException,
                               SecurityException

Throws:
  `IOException`
  `SecurityException`

#### ExObjectInputStream

    public ExObjectInputStream(InputStream in,
                               boolean backwardCompatibility)
                        throws IOException,
                               SecurityException

Throws:
  `IOException`
  `SecurityException`

### Method Detail

#### debug

    protected void debug(String msg)

#### traceStack

    protected void traceStack(String msg,
                              Throwable e)